uk.gov.hmrc.customs.api.common.config

# ServicesConfig

###
Related Doc: package config

#### class ServicesConfig extends play.config.ServicesConfig

Annotations
  @Singleton()

Linear Supertypes
play.config.ServicesConfig, RunMode, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ServicesConfig
2. ServicesConfig
3. RunMode
4. AnyRef
5. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new ServicesConfig(runModeConfiguration: Configuration, environment: Environment)

   Annotations
     @Inject()

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def baseUrl(serviceName: String): String

   Definition Classes
     ServicesConfig

6. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

7. #### def config(serviceName: String): Configuration

   Attributes
     protected
   Definition Classes
     ServicesConfig

8. #### lazy val defaultProtocol: String

   Attributes
     protected
   Definition Classes
     ServicesConfig

9. #### lazy val env: String

   Definition Classes
     RunMode

10. #### def envPath(path: String)(other: ⇒ String, prod: ⇒ String): String

    Definition Classes
      RunMode

11. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

12. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

13. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

14. #### def getBoolean(key: String): Boolean

    Definition Classes
      ServicesConfig

15. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

16. #### def getConfBool(confKey: String, defBool: ⇒ Boolean): Boolean

    Definition Classes
      ServicesConfig

17. #### def getConfDuration(confKey: String, defDur: ⇒ Duration): Duration

    Definition Classes
      ServicesConfig

18. #### def getConfInt(confKey: String, defInt: ⇒ Int): Int

    Definition Classes
      ServicesConfig

19. #### def getConfString(confKey: String, defString: ⇒ String): String

    Definition Classes
      ServicesConfig

20. #### def getDuration(key: String): Duration

    Definition Classes
      ServicesConfig

21. #### def getInt(key: String): Int

    Definition Classes
      ServicesConfig

22. #### def getString(key: String): String

    Definition Classes
      ServicesConfig

23. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

24. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

25. #### def mode: Mode

    Attributes
      protected
    Definition Classes
      ServicesConfig → RunMode

26. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

27. #### final def notify(): Unit

    Definition Classes
      AnyRef

28. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

29. #### lazy val playServices: String

    Attributes
      protected
    Definition Classes
      ServicesConfig

30. #### lazy val rootServices: String

    Attributes
      protected
    Definition Classes
      ServicesConfig

31. #### val runModeConfiguration: Configuration

    Definition Classes
      ServicesConfig → RunMode

32. #### lazy val services: String

    Attributes
      protected
    Definition Classes
      ServicesConfig

33. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

34. #### def toString(): String

    Definition Classes
      AnyRef → Any

35. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

36. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

37. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from play.config.ServicesConfig

### Inherited from RunMode

### Inherited from AnyRef

### Inherited from Any

### Ungrouped